[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.RemoveComponent

Remove the given component from the list of owned components.

## Declaration

Source position: classesh.inc line 1746

`public procedure TComponent.RemoveComponent(`
`AComponent: TComponent`
`);`

## Description

RemoveComponent will send an opRemove notification to AComponent and will then proceed to remove AComponent from the list of owned components.

## See also

InsertComponent |  | Insert the given component in the list of owned components.
Remove
ValidateRename |  | Called when a name change must be validated
Notification |  | Called by components that are freed and which received a FreeNotification.

Documentation generated on: Feb 26 2014